package com.jasamedika.medifirst2000.converter;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Component;

import com.google.gson.Gson;
import com.jasamedika.medifirst2000.converter.base.BaseVoConverter;
import com.jasamedika.medifirst2000.dao.custom.base.impl.FindConverterDao;
import com.jasamedika.medifirst2000.entities.PapPengaruhNyeri;
import com.jasamedika.medifirst2000.vo.PapPengaruhNyeriVO;

/**
 * Converter class PAPPengaruhNyeri
 * 
 * @author Askur
 */
@Component
public class PapPengaruhNyeriConverter extends FindConverterDao implements
		BaseVoConverter<PapPengaruhNyeriVO, PapPengaruhNyeri> {

	public PapPengaruhNyeri transferVOToModel(PapPengaruhNyeriVO vo, PapPengaruhNyeri model) {
		if (null == model)
			model = new PapPengaruhNyeri();

		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = vo.serialize(fieldsToInclude,vo.getClass().getName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        model = gson.fromJson(json, PapPengaruhNyeri.class);
		} catch (Exception e) {
			e.printStackTrace();
		}

		return model;

	}

	public List<PapPengaruhNyeriVO> transferListOfModelToListOfVO(List<PapPengaruhNyeri> models,
			List<PapPengaruhNyeriVO> vos) {
		if (null == vos)
			vos = new ArrayList<PapPengaruhNyeriVO>();

		if (null == models)
			return vos;

		for (PapPengaruhNyeri model : models) {
			PapPengaruhNyeriVO vo = new PapPengaruhNyeriVO();
			transferModelToVO(model, vo);
			vos.add(vo);
		}

		return vos;
	}

	public PapPengaruhNyeriVO transferModelToVO(PapPengaruhNyeri model, PapPengaruhNyeriVO vo) {
		if (null == vo)
			vo = new PapPengaruhNyeriVO();

		try {
			String[] fieldsToInclude = null;
			Map<String, Object> serialized = model.serialize(fieldsToInclude,model.getClass().getSimpleName());
			Gson gson = new Gson();
	        String json = gson.toJson(serialized);
	        vo = gson.fromJson(json, PapPengaruhNyeriVO.class);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return vo;
	}
	
}
